<%@LANGUAGE="VBSCRIPT" CODEPAGE="1252"%>
<!--#include file="Connections/connDay11.asp" -->
<%
' *** Edit Operations: declare variables

MM_editAction = CStr(Request("URL"))
If (Request.QueryString <> "") Then
  MM_editAction = MM_editAction & "?" & Request.QueryString
End If

' boolean to abort record edit
MM_abortEdit = false

' query string to execute
MM_editQuery = ""
%>
<%
' *** Insert Record: set variables

If (CStr(Request("MM_insert")) <> "") Then

  MM_editConnection = MM_connDay11_STRING
  MM_editTable = "tblSimpleDoglist"
  MM_editRedirectUrl = "simpledoglist.asp"
  MM_fieldsStr  = "AKCname|value|shortname|value|breed|value|birthday|value|owner|value"
  MM_columnsStr = "AKCname|',none,''|shortname|',none,''|breed|',none,''|birthday|',none,NULL|owner|',none,''"

  ' create the MM_fields and MM_columns arrays
  MM_fields = Split(MM_fieldsStr, "|")
  MM_columns = Split(MM_columnsStr, "|")
  
  ' set the form values
  For i = LBound(MM_fields) To UBound(MM_fields) Step 2
    MM_fields(i+1) = CStr(Request.Form(MM_fields(i)))
  Next

  ' append the query string to the redirect URL
  If (MM_editRedirectUrl <> "" And Request.QueryString <> "") Then
    If (InStr(1, MM_editRedirectUrl, "?", vbTextCompare) = 0 And Request.QueryString <> "") Then
      MM_editRedirectUrl = MM_editRedirectUrl & "?" & Request.QueryString
    Else
      MM_editRedirectUrl = MM_editRedirectUrl & "&" & Request.QueryString
    End If
  End If

End If
%>
<%
' *** Insert Record: construct a sql insert statement and execute it

If (CStr(Request("MM_insert")) <> "") Then

  ' create the sql insert statement
  MM_tableValues = ""
  MM_dbValues = ""
  For i = LBound(MM_fields) To UBound(MM_fields) Step 2
    FormVal = MM_fields(i+1)
    MM_typeArray = Split(MM_columns(i+1),",")
    Delim = MM_typeArray(0)
    If (Delim = "none") Then Delim = ""
    AltVal = MM_typeArray(1)
    If (AltVal = "none") Then AltVal = ""
    EmptyVal = MM_typeArray(2)
    If (EmptyVal = "none") Then EmptyVal = ""
    If (FormVal = "") Then
      FormVal = EmptyVal
    Else
      If (AltVal <> "") Then
        FormVal = AltVal
      ElseIf (Delim = "'") Then  ' escape quotes
        FormVal = "'" & Replace(FormVal,"'","''") & "'"
      Else
        FormVal = Delim + FormVal + Delim
      End If
    End If
    If (i <> LBound(MM_fields)) Then
      MM_tableValues = MM_tableValues & ","
      MM_dbValues = MM_dbValues & ","
    End if
    MM_tableValues = MM_tableValues & MM_columns(i)
    MM_dbValues = MM_dbValues & FormVal
  Next
  MM_editQuery = "insert into " & MM_editTable & " (" & MM_tableValues & ") values (" & MM_dbValues & ")"

  If (Not MM_abortEdit) Then
    ' execute the insert
    Set MM_editCmd = Server.CreateObject("ADODB.Command")
    MM_editCmd.ActiveConnection = MM_editConnection
    MM_editCmd.CommandText = MM_editQuery
    MM_editCmd.Execute
    MM_editCmd.ActiveConnection.Close

    If (MM_editRedirectUrl <> "") Then
      Response.Redirect(MM_editRedirectUrl)
    End If
  End If

End If
%>
<html>
<head>
<title>Add to Dog List</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body bgcolor="#FFFFFF" text="#000000">
<form method="POST" action="<%=MM_editAction%>" name="frmInsertDoglist">
  <table align="center">
    <tr valign="baseline"> 
      <td align="right" nowrap bgcolor="#9999FF"><b>AKCname:</b></td>
      <td bgcolor="#FFFFCC"> <input type="text" name="AKCname" value="" size="32"> 
      </td>
    </tr>
    <tr valign="baseline"> 
      <td align="right" nowrap bgcolor="#9999FF"><b>Shortname:</b></td>
      <td bgcolor="#FFFFCC"> <input type="text" name="shortname" value="" size="32"> 
      </td>
    </tr>
    <tr valign="baseline"> 
      <td align="right" nowrap bgcolor="#9999FF"><b>Breed:</b></td>
      <td bgcolor="#FFFFCC"> <input type="text" name="breed" value="" size="32"> 
      </td>
    </tr>
    <tr valign="baseline"> 
      <td align="right" nowrap bgcolor="#9999FF"><b>Birthday:</b></td>
      <td bgcolor="#FFFFCC"> <input type="text" name="birthday" value="" size="32"> 
      </td>
    </tr>
    <tr valign="baseline"> 
      <td align="right" nowrap bgcolor="#9999FF"><b>Owner:</b></td>
      <td bgcolor="#FFFFCC"> <input type="text" name="owner" value="" size="32"> 
      </td>
    </tr>
    <tr valign="baseline"> 
      <td align="right" nowrap bgcolor="#9999FF">&nbsp;</td>
      <td bgcolor="#FFFFCC"> <input type="submit" value="Insert Record"> </td>
    </tr>
  </table>
  <input type="hidden" name="MM_insert" value="true">
</form>
<p>&nbsp;</p>
</body>
</html>
